Foxit PDF RDK

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RectF Class Reference
Inheritance diagram for RectF:

## Public Member Functions
| constructor ()
| Construct an empty rectangle.
| constructor (left1, bottom1, right1, top1)
| Construct a rectangle with left-bottom and right-top corners. More...
| Contains (other_rect)
| Check if current rectangle fully contains the other provided rectangle. That means to check if the other rectangle is fully inside current one. More...
| Contains (x, y)
| Check if current rectangle fully contains the provided point. That means to check if the provided point is inside current rectangle. More...
| Deflate (left, bottom, right, top,)
| Decreases the width and height of the rectangle. More...
| Deflate (x, y)
| Decreases the width and height of the rectangle. More...
| Deflatert (rt)
| Decreases the width and height of the rectangle. More...
| GetClosestRect ()
| Get a closest integer rectangle. More...
| GetInnerRect ()
| Convert to an inner integer rectangle. More...
| GetOutterRect ()
| Convert to an outer integer rectangle. More...
| Height ()
| Get the height of the rectangle. More...
| Inflate (left, bottom, right, top,)
| Increases the width and height of the rectangle. More...
| Inflate (rt)
| Increases the width and height of the rectangle. More...
| Inflate (x, y)
| Increases the width and height of the rectangle. More...
| InitRect (x, y)
| Initialize the rectangle to a single point. More...
| Intersect (other_rect)
| Intersect with a rect. More...
| IsEmpty ()
| Verify whether the rect is empty. More...
| Normalize ()
| Normalize the rect. Make sure left <= right, and bottom <= top. More...
| Reset ()
| Reset rectangle, set coordinates to 0. More...
| Substract4 (substract_rect, pRects)
| Subtract a rectangle area from this rectangle. The result might be up to 4 rectangles. The number of result rectangles are returned. Caller must prepare enough rectangles (up to 4). More...
| Transform (pMatrix)
| Transform a rectangle. The result rectangle is always normalized. More...
| Translate (e, f)
| Translate rectangle. More...
| Union (other_rect)
| Union with a rect. More...
| UpdateRect (x, y)
| Update the rectangle to contain the specified point. More...
| Width ()
| Get the width of the rectangle. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Member Functions
static | GetBBox (pPoints, nPoints)
| Get the bounding box of input points array. More...

## Public Attributes
| bottom
| The bottom.
| left
| The left.
| right
| The right.
| top
| The top.

## Detailed Description

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

RectF.constructor | ( | left1 | ,
|  | bottom1 | ,
|  | right1 | ,
|  | top1 |
| ) |  |

Construct a rectangle with left-bottom and right-top corners.

Parameters

  [in] | left1 | The x-coordinate of the input left-bottom corner.
  [in] | bottom1 | The y-coordinate of the input left-bottom corner.
  [in] | right1 | The x-coordinate of the input right-top corner.
  [in] | top1 | The y-coordinate of the input right-top corner.

## ◆ Contains() [1/2]

RectF.Contains | ( | other_rect |  | ) |

Check if current rectangle fully contains the other provided rectangle. That means to check if the other rectangle is fully inside current one.

Parameters

  [in] | other_rect | The other provided rect.

Returns
  true means current rectangle fully contains the other one, while false means not.

## ◆ Contains() [2/2]

RectF.Contains | ( | x | ,
|  | y |
| ) |  |

Check if current rectangle fully contains the provided point. That means to check if the provided point is inside current rectangle.

Parameters

  [in] | x | The x coordinate of the provided point.
  [in] | y | The y coordinate of the provided point.

Returns
  true means current rectangle contains the provided point, while false means not.

## ◆ Deflate() [1/2]

RectF.Deflate | ( | left | ,
|  | bottom | ,
|  | right | ,
|  | top |
| ) |  |

Decreases the width and height of the rectangle.

Parameters

  [in] | left | The number to deflate the left of the rectangle.
  [in] | bottom | The number to deflate the bottom of the rectangle.
  [in] | right | The number to deflate the right of the rectangle.
  [in] | top | The number to deflate the top of the rectangle.

Returns
  None.

## ◆ Deflate() [2/2]

RectF.Deflate | ( | x | ,
|  | y |
| ) |  |

Decreases the width and height of the rectangle.

Parameters

  [in] | x | The number to deflate the left and right of the rectangle.
  [in] | y | The number to deflate the top and bottom of the rectangle.

Returns
  None.

## ◆ Deflatert()

RectF.Deflatert | ( | rt |  | ) |

Decreases the width and height of the rectangle.

Parameters

  [in] | rt | The rectangle to deflate each side.

Returns
  None.

## ◆ GetBBox()

static RectF.GetBBox | ( | pPoints | ,
|  | nPoints |
| ) |  |
| static

Get the bounding box of input points array.

Parameters

  [in] | pPoints | The input points array.
  [in] | nPoints | The number of points in the array.

Returns
  A floating-point coordination rectangle.

## ◆ GetClosestRect()

RectF.GetClosestRect | ( |  | ) |

Get a closest integer rectangle.

Returns
  The closest integer rectangle.

## ◆ GetInnerRect()

RectF.GetInnerRect | ( |  | ) |

Convert to an inner integer rectangle.

Returns
  The inner integer rectangle.

## ◆ GetOutterRect()

RectF.GetOutterRect | ( |  | ) |

Convert to an outer integer rectangle.

Returns
  The outer integer rectangle.

## ◆ Height()

RectF.Height | ( |  | ) |

Get the height of the rectangle.

Returns
  Height of the rectangle.

## ◆ Inflate() [1/3]

RectF.Inflate | ( | left | ,
|  | bottom | ,
|  | right | ,
|  | top |
| ) |  |

Increases the width and height of the rectangle.

Parameters

  [in] | left | The number to inflate the left of the rectangle.
  [in] | bottom | The number to inflate the bottom of the rectangle.
  [in] | right | The number to inflate the right of the rectangle.
  [in] | top | The number to inflate the top of the rectangle.

Returns
  None.

## ◆ Inflate() [2/3]

RectF.Inflate | ( | rt |  | ) |

Increases the width and height of the rectangle.

Parameters

  [in] | rt | The rectangle to inflate each side.

Returns
  None.

## ◆ Inflate() [3/3]

RectF.Inflate | ( | x | ,
|  | y |
| ) |  |

Increases the width and height of the rectangle.

Parameters

  [in] | x | The number to inflate the left and right of the rectangle.
  [in] | y | The number to inflate the top and bottom of the rectangle.

Returns
  None.

## ◆ InitRect()

RectF.InitRect | ( | x | ,
|  | y |
| ) |  |

Initialize the rectangle to a single point.

Parameters

  [in] | x | The x-coordinate of the input point.
  [in] | y | The y-coordinate of the input point.

Returns
  None.

## ◆ Intersect()

RectF.Intersect | ( | other_rect |  | ) |

Intersect with a rect.

Parameters

  [in] | other_rect | The rect to intersect with.

Returns
  None.

## ◆ IsEmpty()

RectF.IsEmpty | ( |  | ) |

Verify whether the rect is empty.

Returns
  true meanas current rect is empty, while false means not.

## ◆ Normalize()

RectF.Normalize | ( |  | ) |

Normalize the rect. Make sure left <= right, and bottom <= top.

Returns
  None.

## ◆ Reset()

RectF.Reset | ( |  | ) |

Reset rectangle, set coordinates to 0.

Returns
  None.

## ◆ Substract4()

RectF.Substract4 | ( | substract_rect | ,
|  | pRects |
| ) |  |

Subtract a rectangle area from this rectangle. The result might be up to 4 rectangles. The number of result rectangles are returned. Caller must prepare enough rectangles (up to 4).

Parameters

  [in] | substract_rect | The rectangle to be subtracted.
  [out] | pRects | The rectangle array to receive result rectangles.

Returns
  The number of result rectangles.

## ◆ Transform()

RectF.Transform | ( | pMatrix |  | ) |

Transform a rectangle. The result rectangle is always normalized.

Parameters

  [in] | pMatrix | The transformation matrix.

Returns
  None.

## ◆ Translate()

RectF.Translate | ( | e | ,
|  | f |
| ) |  |

Translate rectangle.

Parameters

  [in] | e | Offset in X-axis.
  [in] | f | Offset in Y-axis.

Returns
  None.

## ◆ Union()

RectF.Union | ( | other_rect |  | ) |

Union with a rect.

Parameters

  [in] | other_rect | The rect to union with.

Returns
  None.

## ◆ UpdateRect()

RectF.UpdateRect | ( | x | ,
|  | y |
| ) |  |

Update the rectangle to contain the specified point.

Parameters

  [in] | x | The x-coordinate of the input point.
  [in] | y | The y-coordinate of the input point.

Returns
  None.

## ◆ Width()

RectF.Width | ( |  | ) |

Get the width of the rectangle.

Returns
  Width of the rectangle.